QwtNullTransform(3)

NAME
QwtNullTransform - Null transformation.

SYNOPSIS

#include <qwt_transform.h>

Inherits QwtTransform.

  Public Member Functions
QwtNullTransform ()
Constructor.
virtual ~QwtNullTransform ()
Destructor.
virtual double transform (double value) const
virtual double invTransform (double value) const
virtual QwtTransform * copy () const

Detailed Description

Null transformation. QwtNullTransform returns the values unmodified.

Member Function Documentation

  QwtTransform * QwtNullTransform::copy () const [virtual]

Returns:
    Clone of the transformation

Implements QwtTransform.

  double QwtNullTransform::invTransform (double value) const [virtual]

Parameters:
    value Value to be transformed

Returns:
    value unmodified

Implements QwtTransform.

  double QwtNullTransform::transform (double value) const [virtual]

Parameters:
    value Value to be transformed

Returns:
    value unmodified

Implements QwtTransform.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.